Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_PrimaryUserProfile

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_PublicObject

                        |

                        +--oracle.ifs.server.S_TiePublicObject

                              |

                              +--oracle.ifs.server.S_UserProfile

                                    |

                                    +--oracle.ifs.server.S_TieUserProfile

                                          |

                                          +--oracle.ifs.server.S_PrimaryUserProfile

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TiePrimaryUserProfile

public class S_PrimaryUserProfile
extends S_TieUserProfile

A PrimaryUserProfile contains information related to a DirectoryUser such as the home folder, the default ACLs, ContentQuota.

Method Summary
`protected void` | `extendedPreFree(OperationState opState, S_LibraryObjectDefinition def)` Operations to be performed before freeing an object.
`protected void` | `extendedPreInsert(OperationState opState, S_LibraryObjectDefinition def)` Updates any system attributes appropriate for creating this object.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition def)` Oprations to be performed before updating an object.

Methods inherited from class oracle.ifs.server.S_UserProfile
`isVersionable`

Methods inherited from class oracle.ifs.server.S_PublicObject
`addRelationship, deriveDefinition, getCategories, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getReferencingFolders, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getVersionDescriptions, hasNameAttribute, isLocked, removeRelationship`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`equals, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, handleEvent, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### extendedPreInsert

    protected void extendedPreInsert(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Updates any system attributes appropriate for creating this object.
  Overrides:
    `extendedPreInsert` in class `S_UserProfile`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if the operation fails

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Oprations to be performed before updating an object. Handles the cases where the update option is specified as a SystemOption.
  Overrides:
    `extendedPreUpdate` in class `S_PublicObject`
  Parameters:
    `opState` - operation state
    `def` - the server-side definition class that holds the attribute changes
  Throws:
    `IfsException` - if operation fails.

### extendedPreFree

    protected void extendedPreFree(OperationState opState,
                                   S_LibraryObjectDefinition def)
                            throws IfsException

  Operations to be performed before freeing an object. This is overridden by classes that need to perform operations after successfully deleting the rows for the freed instance.
  Overrides:
    `extendedPreFree` in class `S_PublicObject`
  Parameters:
    `opState` - operation state
    `def` - server-side definition object
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD